import contextlib
import unittest
import io
import unittest.mock
from unittest import TextTestRunner

class MainTest(unittest.TestCase):

    def test_answer(self):
        
        X = [[66, 5, 15, 2, 500], [21, 3, 50, 1, 100], [120, 15, 5, 2, 1200]]
        c = [3000, 200, -50, 5000, 100]
        capturedOutput = io.StringIO()                 
        sys.stdout = capturedOutput                     
        predict(X, c)
        sys.stdout = sys.__stdout__ 
        output = capturedOutput.getvalue().strip()

        self.assertNotEqual(output, "258250 76100 492750", "Please print the output on separate lines.")

        self.assertEqual(output, "258250\n76100\n492750", "Test failed. Please check your algorithm.")

        X2 = [[65, 5, 15, 2, 500], [20, 3, 50, 1, 100], [121, 15, 5, 2, 1200]]
        c2 = [3000, 200, -50, 5000, 100]
        capturedOutput = io.StringIO()                 
        sys.stdout = capturedOutput                     
        predict(X2, c2)
        sys.stdout = sys.__stdout__ 
        output = capturedOutput.getvalue().strip()
        self.assertEqual(output, "255250\n73100\n495750", "Test failed. Please check your algorithm.")

test_suite = unittest.TestLoader().loadTestsFromTestCase(MainTest)
with io.StringIO() as buf:
    # run the tests
    with contextlib.redirect_stdout(buf):
        TextTestRunner(stream=buf).run(test_suite)
    # process (in this case: print) the results
    printTest(buf.getvalue())
